import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class ProgressBarTest
{
	public static void main(String args[])
	{
		new MainWindow();
	}
}

class MainWindow extends JFrame
{
	JProgressBar progress;
	static final int PROGRESS_MAX = 100;
	static final int PROGRESS_MIN = 0;

	Timer timer;
	int count = 0;
	static final int TIMER_DELAY = 100;

	JLabel label;

	public MainWindow()
	{
		setTitle("ProgressBarTest");

		// EChEXi̓o^
		WindowListener w_listener = new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				System.exit(0);
			}
		};
		addWindowListener(w_listener);

		// vOXo[̏Ɣzu
		progress = new JProgressBar(PROGRESS_MIN,PROGRESS_MAX);
		progress.setValue(0);
		getContentPane().add(progress,BorderLayout.SOUTH);

		// vOXo[̏Ԃ킷x
		label = new JLabel("0%",JLabel.CENTER);
		getContentPane().add(label,BorderLayout.NORTH);

		// Timeȑ
		ActionListener action_listener = new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				count++;
				progress.setValue(count);
				label.setText(count + "%");
				if(count == PROGRESS_MAX)
				{
					timer.stop();
				}
			}
		};
		timer = new Timer(TIMER_DELAY,action_listener);
		timer.setInitialDelay(0);
		timer.start();

		// EChETCYAR|[lg̃TCYɍ킹
		pack();
		setVisible(true);
	}
}